<?php
/* ==========================================================
  Accordion
=========================================================== */
if( ! function_exists( 'grop_vt_accordion_function' ) ) {
  function grop_vt_accordion_function( $atts, $content = '', $key = '' ) {

    global $vt_accordion_tabs;
    $vt_accordion_tabs = array();

    extract( shortcode_atts( array(
      'accordion_style' => '',
      'id'            => '',
      'class'         => '',
      'one_active'    => '',
      'icon_color'    => '',
      'border_color'  => '',
      'active_tab'    => 0,
    ), $atts ) );

    do_shortcode( $content );

    // is not empty clients
    if( !( $vt_accordion_tabs ) ) { return; }
    $class       = ( $class ) ? ' '. $class : '';
    $one_active  = ( $one_active ) ? ' collapse-others' : '';
    $uniqtab     = uniqid();

    $el_style    = ( $border_color ) ? ' style="border-color:'. $border_color .';"' : '';

    // begin output
    $output      = '<div class="panel-group" id="grop-'.$uniqtab.$id.'" role="tablist" aria-multiselectable="true">';
    foreach ( $vt_accordion_tabs as $key => $tab ) {
      $opened    = ( ( $key + 1 ) == $active_tab ) ? ' in' : '';
      $title     = '<h4 class="panel-title"><a role="button" data-toggle="collapse" data-parent="#grop-'.$uniqtab.$id.'" href="#grop-faq-'.$uniqtab.$key.'" aria-controls="grop-faq-'.$uniqtab.$key.'">'. $tab['atts']['title'] .'</a></h4>';

      $output   .= '<div class="panel panel-default  grop-faq-single"'. $el_style .'>';
      $output   .= '<div class="panel-heading  grop-faq-heading" role="tab" id="grop-faqh-'.$uniqtab.$key.'">'. $title .'</div>';
      $output   .= '<div id="grop-faq-'.$uniqtab.$key.'" class="panel-collapse collapse '.$opened.'" role="tabpanel" aria-labelledby="grop-faqh-'.$uniqtab.$key.'"><div class="panel-body  grop-faq-body">'. do_shortcode( $tab['content'] ) . '</div></div>';
      $output   .= '</div>';

    }
    $output     .= '</div>';
    // end output

    return $output;
  }
  add_shortcode( 'vc_accordion', 'grop_vt_accordion_function' );
}

/**
 *
 * Accordion Shortcode
 * @since 1.0.0
 * @version 1.1.0
 *
 */
if( ! function_exists( 'grop_vt_accordion_tab' ) ) {
  function grop_vt_accordion_tab( $atts, $content = '', $key = '' ) {
    global $vt_accordion_tabs;
    $vt_accordion_tabs[]  = array( 'atts' => $atts, 'content' => $content );
    return;
  }
  add_shortcode( 'vc_accordion_tab', 'grop_vt_accordion_tab' );
}