<?php
/* ==========================================================
  Causes
=========================================================== */
if ( !function_exists('grop_causes_function')) {
  function grop_causes_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'causes_style'  => '',
      'short_content'  => '',
      'causes_limit'  => '',
      'causes_column'  => '',
      // Enable & Disable
      'causes_filter'  => '',
      'causes_pagination'  => '',
      'hide_excerpt'  => '',
      // Listing
      'causes_order'  => '',
      'causes_orderby'  => '',
      'causes_show_category'  => '',
      'class'  => '',
      // Style - Filter
      'filter_color'  => '',
      'filter_active_color'  => '',
      'filter_active_bg'  => '',
      'filter_size'  => '',
      // Style - Colors And Sizes
      'causes_title_size'  => '',
      'causes_title_color'  => '',
      'causes_title_hover_color'  => '',
      'content_color'  => '',
      'content_size'  => '',
      'donate_button_color'  => '',
      'donate_button_size'  => '',
    ), $atts));

    // Shortcode Style CSS
    $e_uniqid        = uniqid();
    $inline_style  = '';

    // Title Color
    if ( $causes_title_size || $causes_title_color  || $causes_title_hover_color ) {
      $inline_style .= '.grop-causes-'. $e_uniqid .'.grop-cause_list_single .grop-cause_title a, .grop-causes-'. $e_uniqid .'.grop-cause_fltr_itm_warp .grop-cause_title a{';
      $inline_style .= ( $causes_title_color ) ? 'color:'. $causes_title_color .';' : '';
      $inline_style .= ( $causes_title_size ) ? 'font-size:'. groppe_core_check_px($causes_title_size) .';' : '';
      $inline_style .= '}';
      $inline_style .= '.grop-causes-'. $e_uniqid .'.grop-cause_list_single .grop-cause_title a:hover, .grop-causes-'. $e_uniqid .'.grop-cause_fltr_itm_warp .grop-cause_title a:hover {';
      $inline_style .= ( $causes_title_hover_color ) ? 'color:'. $causes_title_hover_color .';' : '';
      $inline_style .= '}';
    }
    if ( $content_color || $content_size ) {
      $inline_style .= '.grop-causes-'. $e_uniqid .'.grop-cause_list_single .grop-cause_txts_content p, .grop-causes-'. $e_uniqid .'.grop-cause_txts_content p{';
      $inline_style .= ( $content_color ) ? 'color:'. $content_color .';' : '';
      $inline_style .= ( $content_size ) ? 'font-size:'. groppe_core_check_px($content_size) .';' : '';
      $inline_style .= '}';
    }

    if ( $donate_button_color || $donate_button_size ) {
      $inline_style .= '.grop-causes-'. $e_uniqid .' .grop-btn_overly > span {';
      $inline_style .= ( $donate_button_color ) ? 'color:'. $donate_button_color .';' : '';
      $inline_style .= ( $donate_button_size ) ? 'font-size:'. groppe_core_check_px($donate_button_size) .';' : '';
      $inline_style .= '}';
    }

    // Filter
    if ( $filter_color || $filter_size ) {
      $inline_style .= '.grop-causes-'. $e_uniqid .' #grop_filters ul li {';
      $inline_style .= ( $filter_color ) ? 'color:'. $filter_color .';' : '';
      $inline_style .= ( $filter_size ) ? 'font-size:'. groppe_core_check_px($filter_size) .';' : '';
      $inline_style .= '}';
    }
    if ( $filter_active_color ) {
      $inline_style .= '.grop-causes-'. $e_uniqid .' #grop_filters ul li.is-active, .grop-causes-'. $e_uniqid .' #grop_filters ul li:hover{';
      $inline_style .= ( $filter_active_color ) ? 'color:'. $filter_active_color .';' : '';
      $inline_style .= '}';
    }
    if ( $filter_active_bg ) {
      $inline_style .= '.grop-causes-'. $e_uniqid .' #grop_filters ul li.is-active, .grop-causes-'. $e_uniqid .' #grop_filters ul li:hover  {';
      $inline_style .= ( $filter_active_bg ) ? 'background-color:'. $filter_active_bg .';' : '';
      $inline_style .= '}';
    }

    // add inline style
    add_inline_style( $inline_style );
    $styled_class  = ' grop-causes-'. $e_uniqid;

    if ($short_content) {
      $short_content = $short_content;
    } else {
      $short_content = '15';
    }

if ($causes_style == 'causes-grid') {
  $causes_column = $causes_column ? $causes_column : 'column-three';
  $wrapper_class = ' grop-causes_grid_area ';
} else {
  $wrapper_class = ' grop-cause_list_warp ';
  $causes_column = '';
}
  // Turn output buffer on
  ob_start(); ?>
  <!-- Causes Start -->
  <div class="<?php echo esc_attr($styled_class.$wrapper_class.' '.$causes_column.' '.$class); ?>">
    <?php if ($causes_style == 'causes-grid') {
      echo '<div class="grop-filter_content_warp">';
    }
    if ($causes_filter) { ?>
    <div id="grop_filters" class="text-center grop-causfilter_nav">
      <ul class="text-uppercase  list-inline">
  			<li class="grop-filte_btn is-active" data-filter="*"><?php echo esc_html__('show All', 'groppe' ); ?></li>
        <?php
          if ($causes_show_category) {
            $cat_name = explode(',', $causes_show_category);
            $terms = $cat_name;
            $count = count($terms);
            if ($count > 0) {
              foreach ($terms as $term) {
                echo '<li class="grop-filte_btn" data-filter=".cat-'. preg_replace('/\s+/', "", strtolower($term)) .'">' . str_replace('-', " ", strtolower($term)) . '</li>';
               }
            }
          } else {
            if ( give_get_option( 'enable_categories' ) == 'on' ) {
            $terms = get_terms('give_forms_category');
            $count = count($terms);
            $i=0;
            $term_list = '';
            if ($count > 0) {
              foreach ($terms as $term) {
                $i++;
                $term_list .= '<li class="grop-filte_btn" data-filter=".cat-'. $term->slug .'">' . $term->name . '</li>';
                if ($count != $i) {
                  $term_list .= '';
                } else {
                  $term_list .= '';
                }
              }
              echo $term_list;
            }
          } }
        ?>
      </ul>
		</div>
    <?php
    }
  if ($causes_style == 'causes-grid') {
    echo '<div class="grop-filter_content  grop-causfilter_content">';
  }
    // Pagination
    $paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;

    $args = array(
      // other query params here,
      'paged' => $paged,
      'post_type' => 'give_forms',
      'posts_per_page' => (int)$causes_limit,
      'give_forms_category' => esc_attr($causes_show_category),
      'orderby' => $causes_orderby,
      'order' => $causes_order
    );
    $grop_cas = new WP_Query( $args ); ?>

      <?php
      if ($grop_cas->have_posts()) : while ($grop_cas->have_posts()) : $grop_cas->the_post();

        // Category
        global $post;
        if ( give_get_option( 'enable_categories' ) == 'on' ) {
          $terms = wp_get_post_terms($post->ID,'give_forms_category');
          $count = count($terms);
          if ($count > 0) {
          foreach ($terms as $term) {
            $cat_class = 'cat-' . $term->slug;
          } }
          $count = count($terms);
          $i=0;
          $cat_class = '';
          if ($count > 0) {
            foreach ($terms as $term) {
              $i++;
              $cat_class .= 'cat-'. $term->slug .' ';
              if ($count != $i) {
                $cat_class .= '';
              } else {
                $cat_class .= '';
              }
            }
          }
        } else {
          $cat_class = '';
        }
        // Featured Image
        $large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
        $large_image = $large_image[0];
        if ($large_image) {
          if(class_exists('Aq_Resize')) {
            if ($causes_column === 'column-three'){
              $causes_grid_image = aq_resize( $large_image, '370', '250', true );
              $causes_list_image = aq_resize( $large_image, '320', '215', true );
            } else {
              $causes_grid_image = aq_resize( $large_image, '270', '200', true );
              $causes_list_image = aq_resize( $large_image, '320', '215', true );
            }
          } else {
            $causes_grid_image = $large_image;
            $causes_list_image = $large_image;
          }
        } else {
          $causes_grid_image = '';
          $causes_list_image = '';
        }
        $causes_grid_image = $causes_grid_image ? $causes_grid_image : GROPPE_PLUGIN_ASTS . '/images/1000x800.jpg';
        $causes_list_image = $causes_list_image ? $causes_list_image : GROPPE_PLUGIN_ASTS . '/images/1000x800.jpg';
        $form        = new Give_Donate_Form( get_the_ID() );
        $goal_option = get_post_meta( get_the_ID(), '_give_goal_option', true );
        $goal        = $form->goal;
        $goal_format = get_post_meta( get_the_ID(), '_give_goal_format', true );
        $income      = $form->get_earnings();
        $color       = get_post_meta( get_the_ID(), '_give_goal_color', true );

        $progress = round( ( $income / $goal ) * 100, 2 );
        if ( $income >= $goal ) {
          $progress = 100;
        }
        $customer_id = give_get_payment_donor_id( get_the_ID() );
        $income = give_human_format_large_amount( give_format_amount( $income ) );
        $goal = give_human_format_large_amount( give_format_amount( $goal ) );
        $payment_mode = give_get_chosen_gateway( get_the_ID() );
        $form_action = add_query_arg( apply_filters( 'give_form_action_args', array( 'payment-mode' => $payment_mode, ) ),  give_get_current_page_url() );
        // remaining date
        $dead_line = get_post_meta( get_the_ID(), '_donation_form_metabox', true );
        $donation_deadline = $dead_line['donation_deadline'];
        $deadline = str_replace('/', '-', $donation_deadline);
        $deadline = date('F d, Y', strtotime($deadline));

        $date = strtotime($deadline);
        $remaining = $date - time();

        $days_remaining = floor($remaining / 86400);
        $hours_remaining = floor(($remaining % 86400) / 3600);
        $display_label_field = get_post_meta( get_the_ID(), '_give_checkout_label', true );
        $display_label       = $display_label_field ? $display_label_field : esc_html__( 'Donate Now', 'groppe' );
        if ($causes_style === 'causes-grid') { ?>
          <div class="grop-filter_single_col grop-cause-item <?php echo esc_attr($cat_class); ?>">
            <div class="text-center  grop-cause_fltr_itm_warp">
              <!--causes Media box start \-->
              <div class="grop-cause_media_box">
                <a class="grop-cause_media_img" href=""><img src="<?php echo $causes_grid_image; ?>" alt="<?php echo esc_attr(get_the_title()); ?>" /></a>
                <!--  cause donate btn start  \-->
                <div class="grop-cause_donate_btn_warp">
                  <a class="grop-btn grop-btn_overly grop-cause_donate_btn" href="<?php echo esc_url( get_the_permalink() ); ?>"><span><?php echo $display_label; ?></span></a><!--/end-->
                </div>
              </div><!--/end-->

              <div class="grop-cause_txts_content_warp">
                  <!--progress start \-->
                  <?php if ( give_is_setting_enabled( $goal_option ) || $goal == 1 ) { ?>
                  <div class="grop-progress-circular">
                      <input type="text" class="grop-knob" value="0" data-rel="<?php echo esc_attr( $progress ); ?>" data-linecap="square" data-width="62" data-bgcolor="#E4E4E4" data-fgcolor="#F0C84C" data-thickness=".15" data-readonly="true"  data-height="62">
                  </div><!--/end-->
                  <?php } ?>
                <!--causes Text content start \-->
                <div class="grop-cause_txts_content">
                  <h4 class="grop-cause_title"><a href="<?php echo esc_url( get_the_permalink() ); ?>"><?php the_title(); ?></a></h4>
                  <p class="grop-donation_stats">
                    <?php echo __('Raised: <span class="grop-rasd_amount">'.apply_filters( 'give_goal_amount_raised_output', give_currency_filter( $income ) ).'</span>', 'groppe'); ?>
                    <?php if ( give_is_setting_enabled( $goal_option ) || $goal == 1 ) { ?>
                     / <?php echo __('Goal: '.apply_filters( 'give_goal_amount_target_output', give_currency_filter( $goal ) ), 'groppe'); }?>
                  </p>
                  <?php if(!$hide_excerpt){
                    echo "<p>";
                    if (groppe_framework_active()) {
                      groppe_excerpt($short_content);
                    } else {
                      the_excerpt();
                    }
                    echo "<p>";
                  }
                     ?>
                </div><!--/end-->

                <!--causes footer start \-->
                <div class="grop-cause_time">
                  <i class="fa fa-clock-o"></i><?php echo $days_remaining.' '.esc_html__('Days Left', 'groppe-core'); ?>
                </div><!--/end-->
              </div>
            </div>
          </div>
        <?php
        } else { ?>
        <div class="text-left  grop-cause_list_single">
          <div class="grop-float_left  grop-cause_list_box">
            <!--causes Media box start \-->
            <div class="grop-cause_media_box">
              <a class="grop-cause_media_img" href="<?php echo esc_url( get_the_permalink() ); ?>"><img src="<?php echo $causes_list_image; ?>" alt="<?php echo esc_attr(get_the_title()); ?>" /></a>
              <!--  cause donate btn start  \-->
            </div><!--/end-->
            <!--progress start \-->
            <?php if ( give_is_setting_enabled( $goal_option ) || $goal == 1 ) { ?>
            <div class="grop-progress-circular">
                <input type="text" class="grop-knob" value="0" data-rel="<?php echo esc_attr( $progress ); ?>" data-linecap="square" data-width="62" data-bgcolor="#E4E4E4" data-fgcolor="#F0C84C" data-thickness=".15" data-readonly="true"  data-height="62">
            </div><!--/end-->
            <?php } ?>
          </div>
          <div class="grop-fix grop-cause_txts_content_warp">
            <!--causes Text content start \-->
            <div class="grop-cause_txts_content">
              <h4 class="grop-cause_title"><a href="<?php echo esc_url( get_the_permalink() ); ?>"><?php the_title(); ?></a></h4>
              <p class="grop-donation_stats">
                <?php echo __('Raised: <span class="grop-rasd_amount">'.apply_filters( 'give_goal_amount_raised_output', give_currency_filter( $income ) ).'</span>', 'groppe'); ?>
                <?php if ( give_is_setting_enabled( $goal_option ) || $goal == 1 ) { ?>
                 / <?php echo __('Goal: '.apply_filters( 'give_goal_amount_target_output', give_currency_filter( $goal ) ), 'groppe'); } ?>
              </p>
              <p>
                <?php
                    if (groppe_framework_active()) {
                      groppe_excerpt($short_content);
                    } else {
                      the_excerpt();
                    }
                  ?>
              </p>
            </div><!--/end-->
            <!--causes list btn start \-->
            <a class="grop-btn grop-btn_overly grop-causelist_donate_btn" href="<?php echo esc_url( get_the_permalink() ); ?>">
              <span><?php echo $display_label; ?></span>
            </a><!--/end-->
          </div>
        </div><!--/causes list single  end-->
      <?php
        }
      endwhile;
      endif;
      wp_reset_postdata();
    if ($causes_style == 'causes-grid') {
      echo '</div></div><div class="grop-filter_content_warp"></div>';
    } ?>
    </div>
    <?php
    if ($causes_pagination) {
      groppe_custom_paging_nav($grop_cas->max_num_pages,"",$paged);
    }

    // Return outbut buffer
    return ob_get_clean();

  }
}
add_shortcode( 'grop_causes', 'grop_causes_function' );
