<?php
/**
 * Mission - Shortcode Options
 */
add_action( 'init', 'grop_missions_vc_map' );
if ( ! function_exists( 'grop_missions_vc_map' ) ) {
  function grop_missions_vc_map() {
    vc_map( array(
      "name" => esc_html__( "Mission", 'groppe-core'),
      "base" => "grop_missions",
      "description" => esc_html__( "Mission Shortcodes", 'groppe-core'),
      "icon" => "fa fa-cog color-brown",
      "category" => GroppeLib::grop_cat_name(),
      "params" => array(

        array(
          'type' => 'dropdown',
          'heading' => esc_html__( 'Column', 'groppe-core' ),
          'value' => array(
            esc_html__( '2 Columns', 'groppe-core' ) => 'col-2',
            esc_html__( '3 Columns', 'groppe-core' ) => 'col-3',
            esc_html__( '4 Columns', 'groppe-core' ) => 'col-4',
          ),
          'admin_label' => true,
          'param_name' => 'mission_column',
          'description' => esc_html__( 'Select your mission column.', 'groppe-core' ),
        ),
        array(
          'type' => 'param_group',
          'value' => '',
          'heading' => esc_html__( 'Mission', 'groppe-core' ),
          'param_name' => 'mission_items',
          'params' => array(
            array(
              "type"      => 'attach_image',
              "heading"   => esc_html__('Upload Icon', 'groppe-core'),
              "param_name" => "icon",
              "value"      => "",
              "description" => esc_html__( "Set your mission icon image.", 'groppe-core'),
            ),
            array(
              "type"      => 'textfield',
              "heading"   => esc_html__('Mission Title', 'groppe-core'),
              "param_name" => "title",
              "value"      => "",
              'admin_label' => true,
              "description" => esc_html__( "Enter your mission title.", 'groppe-core')
            ),
            array(
              "type"      => 'textarea',
              "heading"   => esc_html__('Content', 'groppe-core'),
              "param_name" => "desc",
              "value"      => "",
              "description" => esc_html__( "Enter your mission content here.", 'groppe-core')
            ),
            array(
              "type"      => 'href',
              "heading"   => esc_html__('Mission Link', 'groppe-core'),
              "param_name" => "link",
              "value"      => "",
              "description" => esc_html__( "Set your link for read more.", 'groppe-core'),
              'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
            ),
            GroppeLib::vt_open_link_tab(),
          ),
        ),
        GroppeLib::vt_class_option(),

        // Style
        GroppeLib::vt_notice_field(esc_html__( "Title Styling", 'groppe-core' ),'tle_opt','cs-warning', 'Style'), // Notice
        array(
          "type"      => 'colorpicker',
          "heading"   => esc_html__('Title Color', 'groppe-core'),
          "param_name" => "title_color",
          "value"      => "",
          "description" => esc_html__( "Pick your heading color.", 'groppe-core'),
          "group" => esc_html__( "Style", 'groppe-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type"      => 'textfield',
          "heading"   => esc_html__('Title Size', 'groppe-core'),
          "param_name" => "title_size",
          "value"      => "",
          "description" => esc_html__( "Enter the numeric value for title size in px.", 'groppe-core'),
          "group" => esc_html__( "Style", 'groppe-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type"      => 'colorpicker',
          "heading"   => esc_html__('Title Hover Color', 'groppe-core'),
          "param_name" => "title_hover_color",
          "value"      => "",
          "description" => esc_html__( "Pick your heading hover color.", 'groppe-core'),
          "group" => esc_html__( "Style", 'groppe-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        GroppeLib::vt_notice_field(esc_html__( "Content Styling", 'groppe-core' ),'tle_opt','cs-warning', 'Style'), // Notice
        array(
          "type"      => 'colorpicker',
          "heading"   => esc_html__('Content Color', 'groppe-core'),
          "param_name" => "content_color",
          "value"      => "",
          "description" => esc_html__( "Pick your content color.", 'groppe-core'),
          "group" => esc_html__( "Style", 'groppe-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type"      => 'textfield',
          "heading"   => esc_html__('Content Size', 'groppe-core'),
          "param_name" => "content_size",
          "value"      => "",
          "description" => esc_html__( "Enter the numeric value for content size in px.", 'groppe-core'),
          "group" => esc_html__( "Style", 'groppe-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
      )
    ) );
  }
}
