<?php
/**
 * Services - Shortcode Options
 */
add_action( 'init', 'grop_services_vc_map' );
if ( ! function_exists( 'grop_services_vc_map' ) ) {
  function grop_services_vc_map() {
    vc_map( array(
      "name" => esc_html__( "Service", 'groppe-core'),
      "base" => "grop_services",
      "description" => esc_html__( "Service Shortcodes", 'groppe-core'),
      "icon" => "fa fa-cog color-brown",
      "category" => GroppeLib::grop_cat_name(),
      "params" => array(

        array(
          'type' => 'dropdown',
          'heading' => esc_html__( 'Services Style', 'groppe-core' ),
          'value' => array(
            esc_html__( 'Boxed', 'groppe-core' ) => 'boxed',
            esc_html__( 'Simple', 'groppe-core' ) => 'simple',
            esc_html__( 'Standard', 'groppe-core' ) => 'standard',
            esc_html__( 'Icon Left', 'groppe-core' ) => 'icon-left',
            esc_html__( 'Call Out', 'groppe-core' ) => 'call-out',
          ),
          'admin_label' => true,
          'param_name' => 'service_style',
          'description' => esc_html__( 'Select your service style.', 'groppe-core' ),
        ),
        array(
          'type' => 'dropdown',
          'heading' => esc_html__( 'Width', 'groppe-core' ),
          'value' => array(
            esc_html__( 'Container', 'groppe-core' ) => 'container',
            esc_html__( 'Full-Width', 'groppe-core' ) => 'fullwidth',
          ),
          'param_name' => 'service_width',
          'dependency' => array(
            'element' => 'service_style',
            'value' => 'call-out',
          ),
          'description' => esc_html__( 'Select your service width.', 'groppe-core' ),
        ),
        array(
          'type' => 'dropdown',
          'heading' => esc_html__( 'Column', 'groppe-core' ),
          'value' => array(
            esc_html__( '3 Columns', 'groppe-core' ) => 'col-3',
            esc_html__( '2 Columns', 'groppe-core' ) => 'col-2',
            esc_html__( '4 Columns', 'groppe-core' ) => 'col-4',
          ),
          'admin_label' => true,
          'param_name' => 'service_column',
          'description' => esc_html__( 'Select your service column.', 'groppe-core' ),
        ),
        array(
          'type' => 'param_group',
          'value' => '',
          'heading' => esc_html__( 'Services', 'groppe-core' ),
          'param_name' => 'service_items',
          'params' => array(
            array(
              "type"      => 'attach_image',
              "heading"   => esc_html__('Upload Icon', 'groppe-core'),
              "param_name" => "icon",
              "value"      => "",
              "description" => esc_html__( "Set your service icon image.", 'groppe-core'),
            ),
            array(
              "type"      => 'textfield',
              "heading"   => esc_html__('Service Title', 'groppe-core'),
              "param_name" => "title",
              "value"      => "",
              'admin_label' => true,
              "description" => esc_html__( "Enter your service title.", 'groppe-core')
            ),
            array(
              "type"      => 'textarea',
              "heading"   => esc_html__('Description', 'groppe-core'),
              "param_name" => "desc",
              "value"      => "",
              "description" => esc_html__( "Enter your service content here.", 'groppe-core')
            ),
            array(
              "type"      => 'href',
              "heading"   => esc_html__('Service Link', 'groppe-core'),
              "param_name" => "link",
              "value"      => "",
              "description" => esc_html__( "Set your link for read more.", 'groppe-core'),
            ),
            array(
              "type"      => 'textfield',
              "heading"   => esc_html__('Readmore Text', 'groppe-core'),
              "param_name" => "link_text",
              "value"      => "",
            ),
            array(
              "type"        =>'checkbox',
              "heading"     =>esc_html__('Overlay Active', 'groppe-core'),
              "param_name"  => "overlay_active",
              "value"       => "",
              "std"         => false,
              'edit_field_class'   => 'vc_col-md-4 vc_column vt_field_space',
              "description" => esc_html__( "This overlay active will apply for boxed style only", 'groppe-core'),
            ),
            GroppeLib::vt_open_link_tab(),
          ),
          'dependency' => array(
            'element' => 'service_style',
            'value' => array('boxed','standard'),
          ),
        ),

        array(
          'type' => 'param_group',
          'value' => '',
          'heading' => esc_html__( 'Services', 'groppe-core' ),
          'param_name' => 'service_items_2',
          'params' => array(
            array(
              "type"      => 'attach_image',
              "heading"   => esc_html__('Upload Icon', 'groppe-core'),
              "param_name" => "icon",
              "value"      => "",
              "description" => esc_html__( "Set your service icon image.", 'groppe-core'),
            ),
            array(
              "type"      => 'textfield',
              "heading"   => esc_html__('Service Title', 'groppe-core'),
              "param_name" => "title",
              "value"      => "",
              'admin_label' => true,
              "description" => esc_html__( "Enter your service title.", 'groppe-core')
            ),
            array(
              "type"      => 'textarea',
              "heading"   => esc_html__('Service Description', 'groppe-core'),
              "param_name" => "desc",
              "value"      => "",
            ),
            array(
              "type"      => 'href',
              "heading"   => esc_html__('Service Link', 'groppe-core'),
              "param_name" => "link",
              "value"      => "",
              "description" => esc_html__( "Set your link for read more.", 'groppe-core'),
            ),
            GroppeLib::vt_open_link_tab(),
          ),
          'dependency' => array(
            'element' => 'service_style',
            'value' => array('simple', 'icon-left', 'call-out')
          ),
        ),
        GroppeLib::vt_class_option(),

        // Style
        GroppeLib::vt_notice_field(esc_html__( "Title Styling", 'groppe-core' ),'tle_opt','cs-warning', 'Style'), // Notice
        array(
          "type"      => 'colorpicker',
          "heading"   => esc_html__('Section Background', 'groppe-core'),
          "param_name" => "section_bg",
          "value"      => "",
          "group" => esc_html__( "Style", 'groppe-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
          'dependency' => array(
            'element' => 'service_style',
            'value' => 'boxed',
          ),
        ),
        array(
          "type"      => 'colorpicker',
          "heading"   => esc_html__('Title Color', 'groppe-core'),
          "param_name" => "title_color",
          "value"      => "",
          "description" => esc_html__( "Pick your heading color.", 'groppe-core'),
          "group" => esc_html__( "Style", 'groppe-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type"      => 'textfield',
          "heading"   => esc_html__('Title Size', 'groppe-core'),
          "param_name" => "title_size",
          "value"      => "",
          "description" => esc_html__( "Enter the numeric value for title size in px.", 'groppe-core'),
          "group" => esc_html__( "Style", 'groppe-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type"      => 'colorpicker',
          "heading"   => esc_html__('Title Hover Color', 'groppe-core'),
          "param_name" => "title_hover_color",
          "value"      => "",
          "description" => esc_html__( "Pick your heading hover color.", 'groppe-core'),
          "group" => esc_html__( "Style", 'groppe-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        GroppeLib::vt_notice_field(esc_html__( "Description Styling", 'groppe-core' ),'tle_opt','cs-warning', 'Style'), // Notice
        array(
          "type"      => 'colorpicker',
          "heading"   => esc_html__('Description Color', 'groppe-core'),
          "param_name" => "content_color",
          "value"      => "",
          "description" => esc_html__( "Pick your content color.", 'groppe-core'),
          "group" => esc_html__( "Style", 'groppe-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type"      => 'textfield',
          "heading"   => esc_html__('Description Size', 'groppe-core'),
          "param_name" => "content_size",
          "value"      => "",
          "description" => esc_html__( "Enter the numeric value for content size in px.", 'groppe-core'),
          "group" => esc_html__( "Style", 'groppe-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type"        => "notice",
          "heading"     => esc_html__( "Read More Style", 'groppe-core' ),
          "param_name"  => 'rml_opt',
          'class'       => 'cs-warning',
          'value'       => '',
          "group" => esc_html__( "Style", 'groppe-core'),
          'dependency' => array(
            'element' => 'service_style',
            'value' => array('boxed','standard'),
          ),
        ),
        array(
          "type"      => 'colorpicker',
          "heading"   => esc_html__('Text Color', 'groppe-core'),
          "param_name" => "reademore_color",
          "value"      => "",
          "description" => esc_html__( "Pick your readmore text color.", 'groppe-core'),
          "group" => esc_html__( "Style", 'groppe-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
          'dependency' => array(
            'element' => 'service_style',
            'value' => array('boxed','standard'),
          ),
        ),
        array(
          "type"      => 'textfield',
          "heading"   => esc_html__('Text Size', 'groppe-core'),
          "param_name" => "reademore_size",
          "value"      => "",
          "description" => esc_html__( "Enter the numeric value for readmore text size in px.", 'groppe-core'),
          "group" => esc_html__( "Style", 'groppe-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
          'dependency' => array(
            'element' => 'service_style',
            'value' => array('boxed','standard'),
          ),
        ),
        array(
          "type"      => 'colorpicker',
          "heading"   => esc_html__('Background Color', 'groppe-core'),
          "param_name" => "reademore_bg",
          "value"      => "",
          "description" => esc_html__( "Pick your readmore background color.", 'groppe-core'),
          "group" => esc_html__( "Style", 'groppe-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
          'dependency' => array(
            'element' => 'service_style',
            'value' => array('boxed','standard'),
          ),
        ),
        array(
          "type"      => 'colorpicker',
          "heading"   => esc_html__('Hover Color', 'groppe-core'),
          "param_name" => "reademore_hover_color",
          "value"      => "",
          "description" => esc_html__( "Pick your readmore text hover color.", 'groppe-core'),
          "group" => esc_html__( "Style", 'groppe-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
          'dependency' => array(
            'element' => 'service_style',
            'value' => array('boxed','standard'),
          ),
        ),
        array(
          "type"      => 'colorpicker',
          "heading"   => esc_html__('Hover Background', 'groppe-core'),
          "param_name" => "reademore_hover_bg",
          "value"      => "",
          "description" => esc_html__( "Pick your readmore hover background color.", 'groppe-core'),
          "group" => esc_html__( "Style", 'groppe-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
          'dependency' => array(
            'element' => 'service_style',
            'value' => array('boxed','standard'),
          ),
        ),

      )
    ) );
  }
}
