<?php
/**
 * Testimonial Carousel - Shortcode Options
 */
add_action( 'init', 'testimonial_carousel_vc_map' );
if ( ! function_exists( 'testimonial_carousel_vc_map' ) ) {
  function testimonial_carousel_vc_map() {
  $testi = get_posts( 'post_type="testimonial"&numberposts=-1' );
  $testimonials = array();
  if ( $testi ) {
    foreach ( $testi as $team ) {
      $testimonials[ $team->post_title ] = $team->ID;
    }
  } else {
    $testimonials[ esc_html__( 'No Testimonials Found', 'groppe-core' ) ] = 0;
  }
    vc_map( array(
    "name" => esc_html__( "Testimonial Carousel", 'groppe-core'),
    "base" => "grop_testimonial_carousel",
    "description" => esc_html__( "Carousel Style Testimonial", 'groppe-core'),
    "icon" => "fa fa-comments color-green",
    "category" => GroppeLib::grop_cat_name(),
    "params" => array(
      array(
        "type"        => "notice",
        "heading"     => esc_html__( "Listing", 'groppe-core' ),
        "param_name"  => 'lsng_opt',
        'class'       => 'cs-warning',
        'value'       => '',
      ),
      array(
        "type" => "checkbox",
        "heading" => esc_html__( "Show Testimonial", 'groppe-core' ),
        "param_name" => "perticular_testi",
        "value" => $testimonials,
        "admin_label" => true,
        "description" => esc_html__( "Select Testimonials.", 'groppe-core'),
      ),
      array(
        "type"        =>'textfield',
        "heading"     =>esc_html__('Limit', 'groppe-core'),
        "param_name"  => "testimonial_limit",
        "value"       => "",
        'admin_label' => true,
        "description" => esc_html__( "Enter the number of items to show.", 'groppe-core'),
      ),
      array(
        'type' => 'dropdown',
        'heading' => esc_html__( 'Order', 'groppe-core' ),
        'value' => array(
          esc_html__( 'Select Testimonial Order', 'groppe-core' ) => '',
          esc_html__('Asending', 'groppe-core') => 'ASC',
          esc_html__('Desending', 'groppe-core') => 'DESC',
        ),
        'param_name' => 'testimonial_order',
        'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
      ),
      array(
        'type' => 'dropdown',
        'heading' => esc_html__( 'Order By', 'groppe-core' ),
        'value' => array(
          esc_html__('None', 'groppe-core') => 'none',
          esc_html__('ID', 'groppe-core') => 'ID',
          esc_html__('Author', 'groppe-core') => 'author',
          esc_html__('Title', 'groppe-core') => 'title',
          esc_html__('Date', 'groppe-core') => 'date',
        ),
        'param_name' => 'testimonial_orderby',
        'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
      ),
      GroppeLib::vt_class_option(),

      // Carousel
      GroppeLib::vt_notice_field(esc_html__( "Basic Options", 'groppe-core' ),'bsic_opt','cs-warning', 'Carousel'), // Notice
      GroppeLib::vt_carousel_loop(), // Loop
      GroppeLib::vt_carousel_items(), // Items
      GroppeLib::vt_carousel_margin(), // Margin
      GroppeLib::vt_carousel_dots(), // Dots
      GroppeLib::vt_carousel_nav(), // Nav
      GroppeLib::vt_notice_field(esc_html__( "Auto Play & Interaction", 'groppe-core' ),'apyi_opt','cs-warning', 'Carousel'), // Notice
      GroppeLib::vt_carousel_autoplay_timeout(), // Autoplay Timeout
      GroppeLib::vt_carousel_autoplay(), // Autoplay
      GroppeLib::vt_carousel_animateout(), // Animate Out
      GroppeLib::vt_carousel_mousedrag(), // Mouse Drag
      GroppeLib::vt_notice_field(esc_html__( "Width & Height", 'groppe-core' ),'wah_opt','cs-warning', 'Carousel'), // Notice
      GroppeLib::vt_carousel_autowidth(), // Auto Width
      GroppeLib::vt_carousel_autoheight(), // Auto Height
      GroppeLib::vt_notice_field('Responsive Options','res_opt','cs-warning', 'Carousel'), // Notice
      GroppeLib::vt_carousel_tablet(), // Tablet
      GroppeLib::vt_carousel_mobile(), // Mobile
      GroppeLib::vt_carousel_small_mobile(), // Small Mobile

      // Style
      array(
        "type"        =>'colorpicker',
        "heading"     =>esc_html__('Content Color', 'groppe-core'),
        "param_name"  => "content_color",
        "value"       => "",
        "group"       => esc_html__('Style', 'groppe-core'),
        'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
      ),
      array(
        "type"        =>'colorpicker',
        "heading"     =>esc_html__('Name Color', 'groppe-core'),
        "param_name"  => "name_color",
        "value"       => "",
        "group"       => esc_html__('Style', 'groppe-core'),
        'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
      ),
      array(
        "type"        =>'colorpicker',
        "heading"     =>esc_html__('Profession Color', 'groppe-core'),
        "param_name"  => "profession_color",
        "value"       => "",
        "group"       => esc_html__('Style', 'groppe-core'),
        'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
      ),
      array(
        "type"        =>'textfield',
        "heading"     =>esc_html__('Content Size', 'groppe-core'),
        "param_name"  => "content_size",
        "value"       => "",
        "group"       => esc_html__('Style', 'groppe-core'),
        'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
      ),
      array(
        "type"        =>'textfield',
        "heading"     =>esc_html__('Name Size', 'groppe-core'),
        "param_name"  => "name_size",
        "value"       => "",
        "group"       => esc_html__('Style', 'groppe-core'),
        'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
      ),
      array(
        "type"        =>'textfield',
        "heading"     =>esc_html__('Profession Size', 'groppe-core'),
        "param_name"  => "profession_size",
        "value"       => "",
        "group"       => esc_html__('Style', 'groppe-core'),
        'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
      ),

      ), // Params
    ) );
  }
}