<?php
/* Testimonial */
if ( !function_exists('grop_testimonial_function')) {
  function grop_testimonial_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'testimonial_column'  => '',
      'class'  => '',

      // Listing
      'perticular_testi'  => '',
      'testimonial_limit'  => '',
      'testimonial_order'  => '',
      'testimonial_orderby'  => '',
      'testimonial_pagination'  => '',
      'testimonial_min_height'  => '',

      // Color & Style
      'title_color'  => '',
      'content_color'  => '',
      'name_color'  => '',
      'profession_color'  => '',
      'title_size'  => '',
      'content_size'  => '',
      'name_size'  => '',
      'profession_size'  => '',
    ), $atts));

    // Shortcode Style CSS
    $e_uniqid        = uniqid();
    $inline_style  = '';

    // Content Color
    if ( $content_color || $content_size ) {
      $inline_style .= '.grop-testimonial-'. $e_uniqid .' .grop-testimonial_single p {';
      $inline_style .= ( $content_color ) ? 'color:'. $content_color .';' : '';
      $inline_style .= ( $content_size ) ? 'font-size:'. $content_size .';' : '';
      $inline_style .= '}';
    }
    // Name Color
    if ( $name_color || $name_size ) {
      $inline_style .= '.grop-testimonial-'. $e_uniqid .' .grop-tstimnl_intro .grop-tstimnl_prsn-title, .grop-testimonial-'. $e_uniqid .' .grop-tstimnl_intro .grop-tstimnl_prsn-title a{';
      $inline_style .= ( $name_color ) ? 'color:'. $name_color .';' : '';
      $inline_style .= ( $name_size ) ? 'font-size:'. $name_size .';' : '';
      $inline_style .= '}';
    }
    // Profession Color
    if ( $profession_color || $profession_size ) {
      $inline_style .= '.grop-testimonial-'. $e_uniqid .' .grop-tstimnl_intro p, .grop-testimonial-'. $e_uniqid .' .grop-tstimnl_intro p a {';
      $inline_style .= ( $profession_color ) ? 'color:'. $profession_color .';' : '';
      $inline_style .= ( $profession_size ) ? 'font-size:'. $profession_size .';' : '';
      $inline_style .= '}';
    }

    // add inline style
    add_inline_style( $inline_style );
    $styled_class  = ' grop-testimonial-'. $e_uniqid;
    $testimonial_column = ( $testimonial_column ) ? $testimonial_column: 'col-md-6';
    // Turn output buffer on
    ob_start();

    $args = array(
      'post_type' => 'testimonial',
      'posts_per_page' => (int)$testimonial_limit,
      'orderby' => $testimonial_orderby,
      'order' => $testimonial_order,
      'post__in' => $perticular_testi,
    );

    $grop_testi = new WP_Query( $args );

    if ($grop_testi->have_posts()) :
    ?>
  <div class="container">
    <div class="<?php echo esc_attr( $class.$styled_class ); ?>"> <!-- Testimonial Starts -->
      <div class="row grop-testimonial_row">
      <?php
        while ($grop_testi->have_posts()) : $grop_testi->the_post();

          // Get Meta Box Options - groppe_framework_active()
          $testimonial_options = get_post_meta( get_the_ID(), 'testimonial_options', true );
          $client_name = $testimonial_options['testi_name'];
          $name_link = $testimonial_options['testi_name_link'];
          $client_pro = $testimonial_options['testi_pro'];
          $pro_link = $testimonial_options['testi_pro_link'];

          $name_tag = $name_link ? 'a' : 'span';
          $name_link = $name_link ? 'href="'. $name_link .'" target="_blank"' : '';
          $client_name = $client_name ? '<'. $name_tag .' '. $name_link .' class="testi-name">'. $client_name .'</'. $name_tag .'>' : '';

          $pro_tag = $pro_link ? 'a' : 'span';
          $pro_link = $pro_link ? 'href="'. $pro_link .'" target="_blank"' : '';
          $client_pro = $client_pro ? '<'. $pro_tag .' '. $pro_link .' class="testi-pro">'. $client_pro .'</'. $pro_tag .'>' : '';
          ?>
      <div class="<?php echo $testimonial_column; ?> grop-testimonial_single_col">
        <div class="grop-testimonial_single">
          <div class="grop-tstimnl_text_box">
            <?php the_content(); ?>
          </div>
          <div class="grop-tstimnl_intro">
            <h5 class="grop-tstimnl_prsn-title"><?php echo $client_name; ?></h5>
            <p><?php echo $client_pro; ?></p>
          </div>
        </div>
      </div>
      <?php
      endwhile;
      wp_reset_postdata();
      ?>

      </div>
    </div>
  </div> <!-- Testimonial End -->

<?php
  endif;

    // Return outbut buffer
    return ob_get_clean();

  }
}
add_shortcode( 'grop_testimonial', 'grop_testimonial_function' );